Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<NavigationItem(False), CreatableItem(False)> _
<DefaultClassOptions()> _
Public Class OrderInHeaderFromOfferOutRowsRows
    Inherits BaseObject

    Private _QTT_Process As Double '-- Kézzel beírható mennyiség a végrehajtáshoz (pld. mennyi legyen kitárolva ...)
    Private _OfferOutRows As OfferOutRows ' Kimenő ajánlati sor
    Private _OrderInHeaderFromOfferOutRowsHeader As OrderInHeaderFromOfferOutRowsHeader ' Átmeneti objektum a bejövő megrendelés létrehozásához

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub
    <RuleRange("OrderInHeaderFromOfferOutRowsRows-QTT_Process", DefaultContexts.Save, 0.0001, Double.MaxValue)> _
    Property QTT_Process As Double
        Get
            Return _QTT_Process
        End Get
        Set(ByVal value As Double)
            SetPropertyValue("QTT_Process", _QTT_Process, value)
        End Set
    End Property
    Property OfferOutRows As OfferOutRows
        Get
            Return _OfferOutRows
        End Get
        Set(value As OfferOutRows)
            SetPropertyValue("OfferOutRows", _OfferOutRows, value)
        End Set
    End Property
    <Association("OrderInHeaderFromOfferOutRowsHeader-OrderInHeaderFromOfferOutRowsRows", GetType(OrderInHeaderFromOfferOutRowsHeader))> _
    Property OrderInHeaderFromOfferOutRowsHeader As OrderInHeaderFromOfferOutRowsHeader
        Get
            Return _OrderInHeaderFromOfferOutRowsHeader
        End Get
        Set(value As OrderInHeaderFromOfferOutRowsHeader)
            SetPropertyValue("OrderInHeaderFromOfferOutRowsHeader", _OrderInHeaderFromOfferOutRowsHeader, value)
        End Set
    End Property
End Class
